Skip to main content
GET
/
workers
/
{id}
/
documents
/
{document_id}
Get Worker Document
curl --request GET \
  --url https://api.roostedhr.com/api/1_12/workers/{id}/documents/{document_id} \
  --header 'X-API-KEY: <api-key>'
{
  "id": "<string>",
  "name": "<string>",
  "file_name": "<string>",
  "location": "<string>",
  "date_added": "<string>",
  "type": "<string>",
  "deleted": "0",
  "date_deleted": "<string>",
  "worker_viewable": 0
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

Worker ID

document_id
string
required

Document ID

Response

OK

A document uploaded to a worker's profile.

id
string

Document identifier.

name
string

Display name of the document.

file_name
string

Original file name.

location
string

URL to the hosted file.

date_added
string

Formatted date the document was uploaded (e.g. "Feb 23rd").

type
string

File type (e.g. "image", "pdf").

deleted
enum<string>

Soft-delete flag. "0" = active, "1" = deleted.

Available options:
0,
1
date_deleted
string | null

Date the document was soft-deleted. null if not deleted.

worker_viewable
enum<integer>

Whether the worker can view this document. 1 = viewable, 0 = hidden.

Available options:
0,
1